import { system, world } from "@minecraft/server";
//写好了记得在index里导入脚本文件！
const exampleComp = {
    //使用物品事件
    onUse(args) {
        //执行function
        args.source.runCommand('say test!');
        //延时执行function，单位为tick，20tick/s
        system.runTimeout(() => {
            args.source.runCommand('say test!');
        }, 12345 /*延时的刻数*/);
    },
};
world.beforeEvents.worldInitialize.subscribe(args => {
    /*注册名为'purerain_dino:example'的自定义组件，该组件需要在对应item数据驱动文件下挂载
    数驱注册格式：
    "components": {
        ...
        "minecraft:custom_components": [
            "purerain_dino:example"
        ],
        //需要配合该组件达成使用的效果
        "minecraft:use_modifiers": {
                "use_duration": 999999, //可使用时长，按秒计算
                "movement_modifier": 0.4 //使用时移动速度倍率，0.4为原版食物效果，1.0为正常速度
        },
        ...
    }
    注：对应物品的格式版本需在1.21.10以上！建议直接使用1.21.50
    */
    args.itemComponentRegistry.registerCustomComponent('purerain_dino:example', exampleComp);
    console.warn('exampleComp!');
});
